Liferay.Loader.define("commerce-frontend-js@3.0.33/components/data_renderers/DefaultRenderer", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/icon', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react', './TooltipTextRenderer'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _icon = _interopRequireDefault(require("@frontend-taglib-clay$clayui/icon"));

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    var _TooltipTextRenderer = _interopRequireDefault(require("./TooltipTextRenderer"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    function DefaultRenderer(props) {
      switch (true) {
        case typeof props.value === 'number':
          return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, props.value)
          );

        case !(props.value instanceof Object):
          return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, props.value || '')
          );

        case !!props.value.icon:
          return (/*#__PURE__*/_react.default.createElement(_icon.default, {
              symbol: props.value.icon
            })
          );

        case !!props.value.iconSymbol && !!props.value.text:
          return (/*#__PURE__*/_react.default.createElement(_TooltipTextRenderer.default, {
              value: props.value
            })
          );

        case !!props.value.label:
          return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, props.value.label)
          );

        default:
          throw new Error("The object ".concat(JSON.stringify(props.value), " doesn't match the template schema"));
      }
    }

    var _default = DefaultRenderer;
    exports.default = _default;
    //# sourceMappingURL=DefaultRenderer.js.map
  }
});
//# sourceMappingURL=DefaultRenderer.js.map