Liferay.Loader.define("commerce-frontend-js@3.0.33/utilities/odata", ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = createOdataFilter;

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    function createOdataFilter(filters) {
      if (!filters.length) {
        return null;
      }

      return filters.map(function (filter) {
        return filter.odataFilterString;
      }).map(function (filterString) {
        return "(".concat(filterString, ")");
      }).join(' and ');
    }
    //# sourceMappingURL=odata.js.map
  }
});
//# sourceMappingURL=odata.js.map