Liferay.Loader.define("dynamic-data-mapping-form-field-type@5.0.83/ColorPicker/ColorPicker.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/color-picker', 'frontend-js-react-web$react', '../FieldBase/ReactFieldBase.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _colorPicker = _interopRequireDefault(require("@frontend-taglib-clay$clayui/color-picker"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _ReactFieldBase = require("../FieldBase/ReactFieldBase.es");

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _extends() {
      _extends = Object.assign || function (target) {
        for (var i = 1; i < arguments.length; i++) {
          var source = arguments[i];for (var key in source) {
            if (Object.prototype.hasOwnProperty.call(source, key)) {
              target[key] = source[key];
            }
          }
        }return target;
      };return _extends.apply(this, arguments);
    }

    function _objectWithoutProperties(source, excluded) {
      if (source == null) return {};var target = _objectWithoutPropertiesLoose(source, excluded);var key, i;if (Object.getOwnPropertySymbols) {
        var sourceSymbolKeys = Object.getOwnPropertySymbols(source);for (i = 0; i < sourceSymbolKeys.length; i++) {
          key = sourceSymbolKeys[i];if (excluded.indexOf(key) >= 0) continue;if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;target[key] = source[key];
        }
      }return target;
    }

    function _objectWithoutPropertiesLoose(source, excluded) {
      if (source == null) return {};var target = {};var sourceKeys = Object.keys(source);var key, i;for (i = 0; i < sourceKeys.length; i++) {
        key = sourceKeys[i];if (excluded.indexOf(key) >= 0) continue;target[key] = source[key];
      }return target;
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var DEFAULT_COLORS = ['000000', '5F5F5F', '9A9A9A', 'CBCBCB', 'E1E1E1', 'FFFFFF', 'FF0D0D', 'FF8A1C', '2BA676', '006EF8', '7F26FF', 'FF21A0'];

    var ClayColorPickerWithState = function ClayColorPickerWithState(_ref) {
      var inputValue = _ref.inputValue,
          name = _ref.name,
          onBlur = _ref.onBlur,
          onFocus = _ref.onFocus,
          _onValueChange = _ref.onValueChange,
          readOnly = _ref.readOnly,
          spritemap = _ref.spritemap;

      var _useState = (0, _react.useState)(DEFAULT_COLORS),
          _useState2 = _slicedToArray(_useState, 2),
          customColors = _useState2[0],
          setCustoms = _useState2[1];

      var _useState3 = (0, _react.useState)(inputValue ? inputValue : customColors[0]),
          _useState4 = _slicedToArray(_useState3, 2),
          color = _useState4[0],
          setColor = _useState4[1];

      (0, _react.useEffect)(function () {
        if (inputValue) {
          setColor(inputValue);
        }
      }, [inputValue]);
      return (/*#__PURE__*/_react.default.createElement(_colorPicker.default, {
          colors: customColors,
          disabled: readOnly,
          label: Liferay.Language.get('color-field-type-label'),
          name: name,
          onBlur: onBlur,
          onColorsChange: setCustoms,
          onFocus: onFocus,
          onValueChange: function onValueChange(value) {
            if (value !== color) {
              setColor(value);

              _onValueChange(value);
            }
          },
          spritemap: spritemap,
          value: color
        })
      );
    };

    var ColorPicker = function ColorPicker(_ref2) {
      var name = _ref2.name,
          onBlur = _ref2.onBlur,
          onChange = _ref2.onChange,
          onFocus = _ref2.onFocus,
          _ref2$predefinedValue = _ref2.predefinedValue,
          predefinedValue = _ref2$predefinedValue === void 0 ? '000000' : _ref2$predefinedValue,
          readOnly = _ref2.readOnly,
          spritemap = _ref2.spritemap,
          value = _ref2.value,
          otherProps = _objectWithoutProperties(_ref2, ["name", "onBlur", "onChange", "onFocus", "predefinedValue", "readOnly", "spritemap", "value"]);

      return (/*#__PURE__*/_react.default.createElement(_ReactFieldBase.FieldBase, _extends({
          name: name,
          readOnly: readOnly,
          spritemap: spritemap
        }, otherProps), /*#__PURE__*/_react.default.createElement(ClayColorPickerWithState, {
          inputValue: value ? value : predefinedValue,
          name: name,
          onBlur: onBlur,
          onFocus: onFocus,
          onValueChange: function onValueChange(value) {
            return onChange({}, value);
          },
          readOnly: readOnly,
          spritemap: spritemap
        }))
      );
    };

    var _default = ColorPicker;
    exports.default = _default;
    //# sourceMappingURL=ColorPicker.es.js.map
  }
});
//# sourceMappingURL=ColorPicker.es.js.map