Liferay.Loader.define("dynamic-data-mapping-form-renderer@5.0.53/js/thunks/fieldFocus.es", ['module', 'exports', 'require', '../actions/eventTypes.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = fieldFocus;

    var _eventTypes = require("../actions/eventTypes.es");

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    function fieldFocus(_ref) {
      var activePage = _ref.activePage,
          formId = _ref.formId,
          properties = _ref.properties;
      return function (dispatch) {
        var fieldInstance = properties.fieldInstance;
        dispatch({
          payload: properties,
          type: _eventTypes.EVENT_TYPES.FIELD_FOCUS
        });
        Liferay.fire('ddmFieldFocus', {
          fieldName: fieldInstance.label,
          formId: formId,
          page: activePage
        });
      };
    }
    //# sourceMappingURL=fieldFocus.es.js.map
  }
});
//# sourceMappingURL=fieldFocus.es.js.map