Liferay.Loader.define("portal-search-ranking-web@2.0.50/js/components/add_result/AddResult.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/modal', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react', '../shared/ErrorBoundary.es', './AddResultModal.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _button = _interopRequireDefault(require("@frontend-taglib-clay$clayui/button"));

    var _modal = require("@frontend-taglib-clay$clayui/modal");

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _ErrorBoundary = _interopRequireDefault(require("../shared/ErrorBoundary.es"));

    var _AddResultModal = _interopRequireDefault(require("./AddResultModal.es"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    /**
     * A button that opens a modal to be able to search, select, and add results.
     */
    function AddResult(_ref) {
      var fetchDocumentsSearchUrl = _ref.fetchDocumentsSearchUrl,
          onAddResultSubmit = _ref.onAddResultSubmit;

      var _useState = (0, _react.useState)(false),
          _useState2 = _slicedToArray(_useState, 2),
          showModal = _useState2[0],
          setShowModal = _useState2[1];

      var _useModal = (0, _modal.useModal)({
        onClose: function onClose() {
          return setShowModal(false);
        }
      }),
          observer = _useModal.observer,
          onClose = _useModal.onClose;
      /**
       * Opens the modal when the add result button is clicked.
       */

      return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_button.default, {
          key: "ADD_RESULT_BUTTON",
          onClick: function _handleAddResultButton() {
            setShowModal(true);
          }
        }, Liferay.Language.get('add-result')), /*#__PURE__*/_react.default.createElement(_ErrorBoundary.default, {
          component: Liferay.Language.get('add-result'),
          toast: true
        }, showModal ? /*#__PURE__*/_react.default.createElement(_AddResultModal.default, {
          fetchDocumentsSearchUrl: fetchDocumentsSearchUrl,
          observer: observer,
          onAddResultSubmit: onAddResultSubmit,
          onClose: onClose
        }) : null))
      );
    }

    var _default = AddResult;
    exports.default = _default;
    //# sourceMappingURL=AddResult.es.js.map
  }
});
//# sourceMappingURL=AddResult.es.js.map