Liferay.Loader.define("portal-search-ranking-web@2.0.50/js/components/list/ItemDropdown.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/drop-down', '@frontend-taglib-clay$clayui/icon', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react', '../../utils/language.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _button = _interopRequireDefault(require("@frontend-taglib-clay$clayui/button"));

    var _dropDown = _interopRequireDefault(require("@frontend-taglib-clay$clayui/drop-down"));

    var _icon = _interopRequireDefault(require("@frontend-taglib-clay$clayui/icon"));

    var _propTypes = require("frontend-js-react-web$prop-types");

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _language = require("../../utils/language.es");

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    function _extends() {
      _extends = Object.assign || function (target) {
        for (var i = 1; i < arguments.length; i++) {
          var source = arguments[i];for (var key in source) {
            if (Object.prototype.hasOwnProperty.call(source, key)) {
              target[key] = source[key];
            }
          }
        }return target;
      };return _extends.apply(this, arguments);
    }

    function _objectWithoutProperties(source, excluded) {
      if (source == null) return {};var target = _objectWithoutPropertiesLoose(source, excluded);var key, i;if (Object.getOwnPropertySymbols) {
        var sourceSymbolKeys = Object.getOwnPropertySymbols(source);for (i = 0; i < sourceSymbolKeys.length; i++) {
          key = sourceSymbolKeys[i];if (excluded.indexOf(key) >= 0) continue;if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;target[key] = source[key];
        }
      }return target;
    }

    function _objectWithoutPropertiesLoose(source, excluded) {
      if (source == null) return {};var target = {};var sourceKeys = Object.keys(source);var key, i;for (i = 0; i < sourceKeys.length; i++) {
        key = sourceKeys[i];if (excluded.indexOf(key) >= 0) continue;target[key] = source[key];
      }return target;
    }

    function _classCallCheck(instance, Constructor) {
      if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
      }
    }

    function _defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];descriptor.enumerable = descriptor.enumerable || false;descriptor.configurable = true;if ("value" in descriptor) descriptor.writable = true;Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    function _createClass(Constructor, protoProps, staticProps) {
      if (protoProps) _defineProperties(Constructor.prototype, protoProps);if (staticProps) _defineProperties(Constructor, staticProps);return Constructor;
    }

    function _possibleConstructorReturn(self, call) {
      if (call && (_typeof(call) === "object" || typeof call === "function")) {
        return call;
      }return _assertThisInitialized(self);
    }

    function _getPrototypeOf(o) {
      _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
      };return _getPrototypeOf(o);
    }

    function _assertThisInitialized(self) {
      if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
      }return self;
    }

    function _inherits(subClass, superClass) {
      if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
      }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
    }

    function _setPrototypeOf(o, p) {
      _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
        o.__proto__ = p;return o;
      };return _setPrototypeOf(o, p);
    }

    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }return obj;
    }

    var ItemDropdown = /*#__PURE__*/function (_Component) {
      _inherits(ItemDropdown, _Component);

      function ItemDropdown() {
        var _getPrototypeOf2;

        var _this;

        _classCallCheck(this, ItemDropdown);

        for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
          args[_key] = arguments[_key];
        }

        _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(ItemDropdown)).call.apply(_getPrototypeOf2, [this].concat(args)));

        _defineProperty(_assertThisInitialized(_this), "state", {
          show: false
        });

        _defineProperty(_assertThisInitialized(_this), "_handleDropdownAction", function (actionFn) {
          return function (event) {
            event.preventDefault();
            actionFn(event);

            _this.setState({
              show: false
            });
          };
        });

        _defineProperty(_assertThisInitialized(_this), "_handleSetShow", function (value) {
          _this.setState({
            show: value
          });
        });

        return _this;
      }

      _createClass(ItemDropdown, [{
        key: "render",
        value: function render() {
          var _this$props = this.props,
              hidden = _this$props.hidden,
              itemCount = _this$props.itemCount,
              onClickHide = _this$props.onClickHide,
              onClickPin = _this$props.onClickPin,
              pinned = _this$props.pinned,
              otherProps = _objectWithoutProperties(_this$props, ["hidden", "itemCount", "onClickHide", "onClickPin", "pinned"]);

          var show = this.state.show;
          return (/*#__PURE__*/_react.default.createElement(_dropDown.default, _extends({
              active: show,
              hasLeftSymbols: true,
              onActiveChange: this._handleSetShow,
              trigger: /*#__PURE__*/_react.default.createElement(_button.default, {
                "aria-expanded": "false",
                "aria-haspopup": "true",
                className: "btn-outline-borderless component-action",
                title: Liferay.Language.get('actions')
              }, /*#__PURE__*/_react.default.createElement(_icon.default, {
                symbol: "ellipsis-v"
              }))
            }, otherProps), /*#__PURE__*/_react.default.createElement(_dropDown.default.ItemList, null, onClickPin && /*#__PURE__*/_react.default.createElement(_dropDown.default.Item, {
              key: pinned ? 'UNPIN' : 'PIN',
              onClick: this._handleDropdownAction(onClickPin),
              symbolLeft: pinned ? 'unpin' : 'pin'
            }, pinned ? (0, _language.getPluralMessage)(Liferay.Language.get('unpin-result'), Liferay.Language.get('unpin-results'), itemCount) : (0, _language.getPluralMessage)(Liferay.Language.get('pin-result'), Liferay.Language.get('pin-results'), itemCount)), onClickHide && /*#__PURE__*/_react.default.createElement(_dropDown.default.Item, {
              onClick: this._handleDropdownAction(onClickHide),
              symbolLeft: hidden ? 'view' : 'hidden'
            }, hidden ? (0, _language.getPluralMessage)(Liferay.Language.get('show-result'), Liferay.Language.get('show-results'), itemCount) : (0, _language.getPluralMessage)(Liferay.Language.get('hide-result'), Liferay.Language.get('hide-results'), itemCount))))
          );
        }
      }]);

      return ItemDropdown;
    }(_react.Component);

    _defineProperty(ItemDropdown, "defaultProps", {
      itemCount: 1
    });

    var _default = ItemDropdown;
    exports.default = _default;
    //# sourceMappingURL=ItemDropdown.es.js.map
  }
});
//# sourceMappingURL=ItemDropdown.es.js.map