Liferay.Loader.define("portal-search-ranking-web@2.0.50/js/components/shared/ClayEmptyState.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = exports.DISPLAY_STATES = void 0;

    var _button = _interopRequireDefault(require("@frontend-taglib-clay$clayui/button"));

    var _propTypes = require("frontend-js-react-web$prop-types");

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    function _classCallCheck(instance, Constructor) {
      if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
      }
    }

    function _defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];descriptor.enumerable = descriptor.enumerable || false;descriptor.configurable = true;if ("value" in descriptor) descriptor.writable = true;Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    function _createClass(Constructor, protoProps, staticProps) {
      if (protoProps) _defineProperties(Constructor.prototype, protoProps);if (staticProps) _defineProperties(Constructor, staticProps);return Constructor;
    }

    function _possibleConstructorReturn(self, call) {
      if (call && (_typeof(call) === "object" || typeof call === "function")) {
        return call;
      }return _assertThisInitialized(self);
    }

    function _assertThisInitialized(self) {
      if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
      }return self;
    }

    function _getPrototypeOf(o) {
      _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
      };return _getPrototypeOf(o);
    }

    function _inherits(subClass, superClass) {
      if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
      }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
    }

    function _setPrototypeOf(o, p) {
      _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
        o.__proto__ = p;return o;
      };return _setPrototypeOf(o, p);
    }

    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }return obj;
    }

    var DEFAULT_DESCRIPTION = Liferay.Language.get('sorry-there-are-no-results-found');
    var DEFAULT_TITLE = Liferay.Language.get('no-results-found');
    var STATE_IMAGES_PATH = '/o/admin-theme/images/states';
    var DISPLAY_STATES = {
      EMPTY: 'empty',
      SEARCH: 'search',
      SUCCESS: 'success'
    };
    exports.DISPLAY_STATES = DISPLAY_STATES;

    var ClayEmptyState = /*#__PURE__*/function (_Component) {
      _inherits(ClayEmptyState, _Component);

      function ClayEmptyState() {
        _classCallCheck(this, ClayEmptyState);

        return _possibleConstructorReturn(this, _getPrototypeOf(ClayEmptyState).apply(this, arguments));
      }

      _createClass(ClayEmptyState, [{
        key: "render",
        value: function render() {
          var _this$props = this.props,
              actionLabel = _this$props.actionLabel,
              description = _this$props.description,
              displayState = _this$props.displayState,
              onClickAction = _this$props.onClickAction,
              title = _this$props.title;
          return (/*#__PURE__*/_react.default.createElement("div", {
              className: "empty-state-root"
            }, /*#__PURE__*/_react.default.createElement("img", {
              alt: Liferay.Language.get('empty-state-image'),
              className: "empty-state-image",
              src: "".concat(STATE_IMAGES_PATH, "/").concat(displayState, "_state.gif")
            }), /*#__PURE__*/_react.default.createElement("div", {
              className: "empty-state-title"
            }, title || DEFAULT_TITLE), /*#__PURE__*/_react.default.createElement("div", {
              className: "empty-state-description"
            }, description || DEFAULT_DESCRIPTION), actionLabel && onClickAction && /*#__PURE__*/_react.default.createElement("div", {
              className: "empty-state-action"
            }, /*#__PURE__*/_react.default.createElement(_button.default, {
              displayType: "secondary",
              onClick: onClickAction
            }, actionLabel)))
          );
        }
      }]);

      return ClayEmptyState;
    }(_react.Component);

    _defineProperty(ClayEmptyState, "defaultProps", {
      displayState: DISPLAY_STATES.SEARCH
    });

    var _default = ClayEmptyState;
    exports.default = _default;
    //# sourceMappingURL=ClayEmptyState.es.js.map
  }
});
//# sourceMappingURL=ClayEmptyState.es.js.map