Liferay.Loader.define("portal-search-synonyms-web@2.0.42/js/MultipleCheckboxAction.es", ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = _default;

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * The contents of this file are subject to the terms of the Liferay Enterprise
     * Subscription License ("License"). You may not use this file except in
     * compliance with the License. You can obtain a copy of the License by
     * contacting Liferay, Inc. See the License for the specific language governing
     * permissions and limitations under the License, including but not limited to
     * distribution rights of the Software.
     */
    function _default(nameSpace) {

      var ACTIONS = {
        deleteMultipleSynonyms: function deleteMultipleSynonyms() {
          if (confirm(Liferay.Language.get('are-you-sure-you-want-to-delete-the-selected-entries'))) {
            var form = document.forms["".concat(nameSpace, "SynonymSetsEntriesFm")];
            form.submit();
          }
        }
      };
      Liferay.componentReady('synonymSetsEntriesManagementToolbar').then(function (managementToolbar) {
        managementToolbar.on('actionItemClicked', function (event) {
          var itemData = event.data.item.data;

          if (itemData && itemData.action && ACTIONS[itemData.action]) {
            ACTIONS[itemData.action]();
          }
        });
      });
    }
    //# sourceMappingURL=MultipleCheckboxAction.es.js.map
  }
});
//# sourceMappingURL=MultipleCheckboxAction.es.js.map