Liferay.Loader.define("journal-web@4.0.98/js/SelectFolder.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/form', '@frontend-taglib-clay$clayui/layout', 'frontend-js-components-web', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _button = require("@frontend-taglib-clay$clayui/button");

    var _form = require("@frontend-taglib-clay$clayui/form");

    var _layout = _interopRequireDefault(require("@frontend-taglib-clay$clayui/layout"));

    var _frontendJsComponentsWeb = require("frontend-js-components-web");

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _toConsumableArray(arr) {
      return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _nonIterableSpread();
    }

    function _nonIterableSpread() {
      throw new TypeError("Invalid attempt to spread non-iterable instance");
    }

    function _iterableToArray(iter) {
      if (Symbol.iterator in Object(iter) || Object.prototype.toString.call(iter) === "[object Arguments]") return Array.from(iter);
    }

    function _arrayWithoutHoles(arr) {
      if (Array.isArray(arr)) {
        for (var i = 0, arr2 = new Array(arr.length); i < arr.length; i++) {
          arr2[i] = arr[i];
        }return arr2;
      }
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var SelectFolder = function SelectFolder(_ref) {
      var itemSelectorSaveEvent = _ref.itemSelectorSaveEvent,
          nodes = _ref.nodes;

      var _useState = (0, _react.useState)(''),
          _useState2 = _slicedToArray(_useState, 2),
          filterQuery = _useState2[0],
          setFilterQuery = _useState2[1];

      var nodesById = (0, _react.useMemo)(function () {
        var result = {};

        function visit(node) {
          result[node.id] = node;

          if (node.children) {
            node.children.forEach(visit);
          }
        }

        nodes.forEach(visit);
        return result;
      }, [nodes]);
      var handleQueryChange = (0, _react.useCallback)(function (event) {
        var value = event.target.value;
        setFilterQuery(value);
      }, []);

      return (/*#__PURE__*/_react.default.createElement(_layout.default.ContainerFluid, {
          className: "select-folder"
        }, /*#__PURE__*/_react.default.createElement("nav", {
          className: "collapse-basic-search navbar navbar-default navbar-no-collapse"
        }, /*#__PURE__*/_react.default.createElement(_form.ClayInput.Group, {
          className: "basic-search"
        }, /*#__PURE__*/_react.default.createElement(_form.ClayInput.GroupItem, {
          prepend: true
        }, /*#__PURE__*/_react.default.createElement(_form.ClayInput, {
          "aria-label": Liferay.Language.get('search'),
          onChange: handleQueryChange,
          placeholder: "".concat(Liferay.Language.get('search')),
          type: "text"
        })), /*#__PURE__*/_react.default.createElement(_form.ClayInput.GroupItem, {
          append: true,
          shrink: true
        }, /*#__PURE__*/_react.default.createElement(_button.ClayButtonWithIcon, {
          displayType: "unstyled",
          symbol: "search"
        })))), /*#__PURE__*/_react.default.createElement(_frontendJsComponentsWeb.Treeview, {
          NodeComponent: _frontendJsComponentsWeb.Treeview.Card,
          filterQuery: filterQuery,
          nodes: nodes,
          onSelectedNodesChange: function handleSelectionChange(selectedNodeIds) {
            var node = nodesById[_toConsumableArray(selectedNodeIds)[0]];

            if (node) {
              Liferay.Util.getOpener().Liferay.fire(itemSelectorSaveEvent, {
                data: {
                  folderId: node.id,
                  folderName: node.name
                }
              });
            }
          }
        }))
      );
    };

    var _default = SelectFolder;
    exports.default = _default;
    //# sourceMappingURL=SelectFolder.es.js.map
  }
});
//# sourceMappingURL=SelectFolder.es.js.map