Liferay.Loader.define("layout-content-page-editor-web@2.0.123/page_editor/app/actions/addMappedInfoItem", ['module', 'exports', 'require', './types'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = addMappedInfoItem;

    var _types = require("./types");

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */

    /**
     * @param {object} options
     * @param {string} options.className
     * @param {string} options.classNameId
     * @param {string} options.classPK
     * @param {string} options.title
     * @return {object}
     */
    function addMappedInfoItem(_ref) {
      var className = _ref.className,
          classNameId = _ref.classNameId,
          classPK = _ref.classPK,
          title = _ref.title;
      return {
        className: className,
        classNameId: classNameId,
        classPK: classPK,
        title: title,
        type: _types.ADD_MAPPED_INFO_ITEM
      };
    }
    //# sourceMappingURL=addMappedInfoItem.js.map
  }
});
//# sourceMappingURL=addMappedInfoItem.js.map