Liferay.Loader.define("layout-content-page-editor-web@2.0.123/page_editor/app/components/ViewportSizeSelector", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/drop-down', '@frontend-taglib-clay$clayui/icon', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react', '../config/index'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = ViewportSizeSelector;

    var _button = _interopRequireWildcard(require("@frontend-taglib-clay$clayui/button"));

    var _dropDown = _interopRequireDefault(require("@frontend-taglib-clay$clayui/drop-down"));

    var _icon = _interopRequireDefault(require("@frontend-taglib-clay$clayui/icon"));

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _index = require("../config/index");

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var SelectorButtonList = function SelectorButtonList(_ref) {
      var availableViewportSizes = _ref.availableViewportSizes,
          dropdown = _ref.dropdown,
          onSelect = _ref.onSelect,
          selectedSize = _ref.selectedSize;
      return Object.values(availableViewportSizes).map(function (_ref2) {
        var icon = _ref2.icon,
            label = _ref2.label,
            sizeId = _ref2.sizeId;
        return dropdown ? /*#__PURE__*/_react.default.createElement(_dropDown.default.Item, {
          key: label,
          onClick: function onClick() {
            return onSelect(sizeId);
          },
          symbolLeft: icon
        }, label) : /*#__PURE__*/_react.default.createElement(_button.ClayButtonWithIcon, {
          "aria-label": label,
          "aria-pressed": selectedSize === sizeId,
          displayType: "secondary",
          key: sizeId,
          onClick: function onClick() {
            return onSelect(sizeId);
          },
          small: true,
          symbol: icon,
          title: label
        });
      });
    };

    function ViewportSizeSelector(_ref3) {
      var onSizeSelected = _ref3.onSizeSelected,
          selectedSize = _ref3.selectedSize;
      var availableViewportSizes = _index.config.availableViewportSizes;

      var _useState = (0, _react.useState)(false),
          _useState2 = _slicedToArray(_useState, 2),
          active = _useState2[0],
          setActive = _useState2[1];

      return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_button.default.Group, {
          className: "d-lg-block d-none"
        }, /*#__PURE__*/_react.default.createElement(SelectorButtonList, {
          availableViewportSizes: availableViewportSizes,
          onSelect: onSizeSelected,
          selectedSize: selectedSize,
          setActive: setActive
        })), /*#__PURE__*/_react.default.createElement(_dropDown.default, {
          active: active,
          className: "d-lg-none",
          hasLeftSymbols: true,
          hasRightSymbols: true,
          onActiveChange: setActive,
          trigger: /*#__PURE__*/_react.default.createElement(_button.default, {
            className: "btn-monospaced",
            displayType: "secondary",
            small: true
          }, /*#__PURE__*/_react.default.createElement(_icon.default, {
            symbol: availableViewportSizes[selectedSize].icon
          }), /*#__PURE__*/_react.default.createElement("span", {
            className: "sr-only"
          }, availableViewportSizes[selectedSize].label))
        }, /*#__PURE__*/_react.default.createElement(_dropDown.default.ItemList, null, /*#__PURE__*/_react.default.createElement(SelectorButtonList, {
          availableViewportSizes: availableViewportSizes,
          dropdown: true,
          onSelect: onSizeSelected,
          selectedSize: selectedSize
        }))))
      );
    }
    //# sourceMappingURL=ViewportSizeSelector.js.map
  }
});
//# sourceMappingURL=ViewportSizeSelector.js.map