Liferay.Loader.define("layout-content-page-editor-web@2.0.123/page_editor/app/selectors/selectEditableValue", ['module', 'exports', 'require', '../config/constants/editableFragmentEntryProcessor', './selectEditableValues'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = selectEditableValue;

    var _editableFragmentEntryProcessor = require("../config/constants/editableFragmentEntryProcessor");

    var _selectEditableValues = _interopRequireDefault(require("./selectEditableValues"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    function selectEditableValue(state, fragmentEntryLinkId, editableId) {
      var processorType = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : _editableFragmentEntryProcessor.EDITABLE_FRAGMENT_ENTRY_PROCESSOR;
      var editableValues = (0, _selectEditableValues.default)(state, fragmentEntryLinkId);
      return editableValues[processorType] && editableValues[processorType][editableId] || {};
    }
    //# sourceMappingURL=selectEditableValue.js.map
  }
});
//# sourceMappingURL=selectEditableValue.js.map