Liferay.Loader.define("layout-content-page-editor-web@2.0.123/page_editor/app/thunks/deleteFragmentComment", ['module', 'exports', 'require', '../actions/deleteFragmentEntryLinkComment', '../services/FragmentService'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = deleteFragmentComment;

    var _deleteFragmentEntryLinkComment = _interopRequireDefault(require("../actions/deleteFragmentEntryLinkComment"));

    var _FragmentService = _interopRequireDefault(require("../services/FragmentService"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    function deleteFragmentComment(_ref) {
      var commentId = _ref.commentId,
          fragmentEntryLinkId = _ref.fragmentEntryLinkId,
          parentCommentId = _ref.parentCommentId;
      return function (dispatch) {
        return _FragmentService.default.deleteComment({
          commentId: commentId,
          onNetworkStatus: dispatch
        }).then(function () {
          dispatch((0, _deleteFragmentEntryLinkComment.default)({
            commentId: commentId,
            fragmentEntryLinkId: fragmentEntryLinkId,
            parentCommentId: parentCommentId
          }));
        });
      };
    }
    //# sourceMappingURL=deleteFragmentComment.js.map
  }
});
//# sourceMappingURL=deleteFragmentComment.js.map