Liferay.Loader.define("layout-content-page-editor-web@2.0.123/page_editor/plugins/experience/types", ['module', 'exports', 'require', 'frontend-js-react-web$prop-types'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.SegmentType = exports.ExperienceType = exports.ExperimentStatusType = void 0;

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    var ExperimentStatusType = {
      label: _propTypes.default.string.isRequired,
      value: _propTypes.default.number.isRequired
    };
    exports.ExperimentStatusType = ExperimentStatusType;
    var ExperienceType = {
      hasLockedSegmentsExperiment: _propTypes.default.bool,
      name: _propTypes.default.string.isRequired,
      priority: _propTypes.default.number.isRequired,
      segmentsEntryId: _propTypes.default.string.isRequired,
      segmentsEntryName: _propTypes.default.string,
      segmentsExperienceId: _propTypes.default.string.isRequired,
      segmentsExperimentStatus: _propTypes.default.shape(ExperimentStatusType),
      segmentsExperimentURL: _propTypes.default.string
    };
    exports.ExperienceType = ExperienceType;
    var SegmentType = {
      name: _propTypes.default.string.isRequired,
      segmentsEntryId: _propTypes.default.string.isRequired
    };
    exports.SegmentType = SegmentType;
    //# sourceMappingURL=types.js.map
  }
});
//# sourceMappingURL=types.js.map