Liferay.Loader.define("commerce-frontend-js@3.0.33/components/mini_cart/MiniCartContext", ['module', 'exports', 'require', 'frontend-js-react-web$react', './util/labels'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    var _labels = require("./util/labels");

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    var MiniCartContext = /*#__PURE__*/_react.default.createContext({
      CartResource: {},
      CartViews: {},
      actionURLs: {},
      cartState: {},
      closeCart: function closeCart() {},
      displayDiscountLevels: false,
      displayTotalItemsQuantity: false,
      isOpen: false,
      isUpdating: false,
      labels: _labels.DEFAULT_LABELS,
      setIsUpdating: function setIsUpdating() {},
      spritemap: '',
      summaryDataMapper: function summaryDataMapper() {},
      toggleable: true,
      updateCartModel: function updateCartModel() {},
      updateCartState: function updateCartState() {}
    });

    var _default = MiniCartContext;
    exports.default = _default;
    //# sourceMappingURL=MiniCartContext.js.map
  }
});
//# sourceMappingURL=MiniCartContext.js.map