Liferay.Loader.define('dynamic-data-mapping-form-field-type@5.0.83/util/fieldPopoverSettings', ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    var HTML_AUTOCOMPLETE_ATTRIBUTE_TITLE = Liferay.Language.get('html-autocomplete-attribute');
    var fieldPopoverSettings = {
      htmlAutocompleteAttribute: {
        alignPosition: 'left-top',
        closeOnClickOutside: true,
        content: Liferay.Util.sub(Liferay.Language.get('set-the-x-for-this-field-this-informs-the-browser-of-the-type-of-data-it-stores'), "<a href=\"https://html.spec.whatwg.org/multipage/form-control-infrastructure.html#autofill\" target=\"_blank\">".concat(HTML_AUTOCOMPLETE_ATTRIBUTE_TITLE.toLowerCase().replace('html', 'HTML'), "</a>")),
        header: HTML_AUTOCOMPLETE_ATTRIBUTE_TITLE
      }
    };
    var _default = fieldPopoverSettings;
    exports.default = _default;
    //# sourceMappingURL=fieldPopoverSettings.js.map
  }
});
//# sourceMappingURL=fieldPopoverSettings.js.map