Liferay.Loader.define("dynamic-data-mapping-form-renderer@5.0.53/js/hooks/useForm.es", ['module', 'exports', 'require', 'frontend-js-react-web', 'frontend-js-react-web$react', '../actions/eventTypes.es', '../reducers/index.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.useForm = exports.FormProvider = exports.FormNoopProvider = void 0;

    var _frontendJsReactWeb = require("frontend-js-react-web");

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _eventTypes = require("../actions/eventTypes.es");

    var _index = require("../reducers/index.es");

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var FormContext = /*#__PURE__*/_react.default.createContext(function () {});

    FormContext.displayName = 'FormContext';

    var FormNoopProvider = function FormNoopProvider(_ref) {
      var children = _ref.children,
          onEvent = _ref.onEvent;

      var _useThunk = (0, _frontendJsReactWeb.useThunk)([{}, function (_ref2) {
        var payload = _ref2.payload,
            type = _ref2.type;
        return onEvent(type, payload);
      }]),
          _useThunk2 = _slicedToArray(_useThunk, 2),
          dispatch = _useThunk2[1];

      return (/*#__PURE__*/_react.default.createElement(FormContext.Provider, {
          value: dispatch
        }, children)
      );
    };

    exports.FormNoopProvider = FormNoopProvider;

    var FormProvider = function FormProvider(_ref3) {
      var children = _ref3.children,
          onEvent = _ref3.onEvent,
          value = _ref3.value;

      var _useThunk3 = (0, _frontendJsReactWeb.useThunk)((0, _react.useReducer)((0, _index.createReducer)(onEvent), value)),
          _useThunk4 = _slicedToArray(_useThunk3, 2),
          state = _useThunk4[0],
          dispatch = _useThunk4[1];

      (0, _react.useEffect)(function () {
        return dispatch({
          payload: value,
          type: _eventTypes.EVENT_TYPES.ALL
        });
      }, [dispatch, value]);
      return (/*#__PURE__*/_react.default.createElement(FormContext.Provider, {
          value: dispatch
        }, children(state))
      );
    };

    exports.FormProvider = FormProvider;

    var useForm = function useForm() {
      return (0, _react.useContext)(FormContext);
    };

    exports.useForm = useForm;
    //# sourceMappingURL=useForm.es.js.map
  }
});
//# sourceMappingURL=useForm.es.js.map