Liferay.Loader.define("frontend-taglib-clay@6.4.2/data_set_display/data_renderers/DateRenderer", ['module', 'exports', 'require', 'frontend-taglib-clay$prop-types'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _propTypes = _interopRequireDefault(require("frontend-taglib-clay$prop-types"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    function DateRenderer(_ref) {
      var options = _ref.options,
          value = _ref.value;

      if (!value) {
        return null;
      }

      var locale = themeDisplay.getLanguageId().replace('_', '-');
      var dateOptions = options.format || {
        day: 'numeric',
        hour: 'numeric',
        minute: 'numeric',
        month: 'short',
        second: 'numeric',
        year: 'numeric'
      };
      var formattedDate = new Intl.DateTimeFormat(locale, dateOptions).format(new Date(value));
      return formattedDate;
    }

    DateRenderer.propTypes = {
      options: _propTypes.default.shape({
        format: _propTypes.default.object
      }),
      value: _propTypes.default.string.isRequired
    };
    var _default = DateRenderer;
    exports.default = _default;
    //# sourceMappingURL=DateRenderer.js.map
  }
});
//# sourceMappingURL=DateRenderer.js.map