Liferay.Loader.define("portal-search-ranking-web@2.0.50/js/components/PageToolbar.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/link', '@frontend-taglib-clay$clayui/management-toolbar', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _button = _interopRequireDefault(require("@frontend-taglib-clay$clayui/button"));

    var _link = _interopRequireDefault(require("@frontend-taglib-clay$clayui/link"));

    var _managementToolbar = _interopRequireDefault(require("@frontend-taglib-clay$clayui/management-toolbar"));

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    function _classCallCheck(instance, Constructor) {
      if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
      }
    }

    function _defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];descriptor.enumerable = descriptor.enumerable || false;descriptor.configurable = true;if ("value" in descriptor) descriptor.writable = true;Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    function _createClass(Constructor, protoProps, staticProps) {
      if (protoProps) _defineProperties(Constructor.prototype, protoProps);if (staticProps) _defineProperties(Constructor, staticProps);return Constructor;
    }

    function _possibleConstructorReturn(self, call) {
      if (call && (_typeof(call) === "object" || typeof call === "function")) {
        return call;
      }return _assertThisInitialized(self);
    }

    function _assertThisInitialized(self) {
      if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
      }return self;
    }

    function _getPrototypeOf(o) {
      _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
      };return _getPrototypeOf(o);
    }

    function _inherits(subClass, superClass) {
      if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
      }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
    }

    function _setPrototypeOf(o, p) {
      _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
        o.__proto__ = p;return o;
      };return _setPrototypeOf(o, p);
    }

    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }return obj;
    }

    var PageToolbar = /*#__PURE__*/function (_Component) {
      _inherits(PageToolbar, _Component);

      function PageToolbar() {
        _classCallCheck(this, PageToolbar);

        return _possibleConstructorReturn(this, _getPrototypeOf(PageToolbar).apply(this, arguments));
      }

      _createClass(PageToolbar, [{
        key: "render",
        value: function render() {
          var _this$props = this.props,
              inactive = _this$props.inactive,
              onCancel = _this$props.onCancel,
              onChangeActive = _this$props.onChangeActive,
              onPublish = _this$props.onPublish,
              onSaveAsDraft = _this$props.onSaveAsDraft,
              submitDisabled = _this$props.submitDisabled;
          return (/*#__PURE__*/_react.default.createElement(_managementToolbar.default, {
              "aria-label": Liferay.Language.get('save'),
              className: "page-toolbar-root"
            }, /*#__PURE__*/_react.default.createElement(_managementToolbar.default.ItemList, null, /*#__PURE__*/_react.default.createElement(_managementToolbar.default.Item, null, /*#__PURE__*/_react.default.createElement("label", {
              className: "toggle-switch",
              htmlFor: "active-switch-input"
            }, /*#__PURE__*/_react.default.createElement("input", {
              checked: !inactive,
              className: "toggle-switch-check",
              id: "active-switch-input",
              onChange: onChangeActive,
              type: "checkbox"
            }), /*#__PURE__*/_react.default.createElement("span", {
              className: "toggle-switch-bar"
            }, /*#__PURE__*/_react.default.createElement("span", {
              className: "toggle-switch-handle"
            })), /*#__PURE__*/_react.default.createElement("span", {
              className: "toggle-switch-text-right"
            }, inactive ? Liferay.Language.get('inactive') : Liferay.Language.get('active'))))), /*#__PURE__*/_react.default.createElement(_managementToolbar.default.ItemList, {
              expand: true
            }), /*#__PURE__*/_react.default.createElement(_managementToolbar.default.ItemList, null, /*#__PURE__*/_react.default.createElement(_managementToolbar.default.Item, null, /*#__PURE__*/_react.default.createElement(_link.default, {
              displayType: "secondary",
              href: onCancel,
              outline: "secondary"
            }, Liferay.Language.get('cancel'))), onSaveAsDraft && /*#__PURE__*/_react.default.createElement(_managementToolbar.default.Item, null, /*#__PURE__*/_react.default.createElement(_button.default, {
              displayType: "secondary",
              onClick: onSaveAsDraft,
              small: true
            }, Liferay.Language.get('save-as-draft'))), /*#__PURE__*/_react.default.createElement(_managementToolbar.default.Item, null, /*#__PURE__*/_react.default.createElement(_button.default, {
              disabled: submitDisabled,
              onClick: onPublish,
              small: true,
              type: "submit"
            }, Liferay.Language.get('save')))))
          );
        }
      }]);

      return PageToolbar;
    }(_react.Component);

    _defineProperty(PageToolbar, "props", {
      inactive: _propTypes.default.bool,
      onCancel: _propTypes.default.string.isRequired,
      onChangeActive: _propTypes.default.func,
      onPublish: _propTypes.default.func.isRequired,
      onSaveAsDraft: _propTypes.default.func,
      submitDisabled: _propTypes.default.bool
    });

    _defineProperty(PageToolbar, "defaultProps", {
      submitDisabled: false
    });

    var _default = PageToolbar;
    exports.default = _default;
    //# sourceMappingURL=PageToolbar.es.js.map
  }
});
//# sourceMappingURL=PageToolbar.es.js.map