Liferay.Loader.define("portal-search-ranking-web@2.0.50/js/components/add_result/AddResultSearchBar.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/icon', '@frontend-taglib-clay$clayui/layout', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _button = _interopRequireDefault(require("@frontend-taglib-clay$clayui/button"));

    var _icon = _interopRequireDefault(require("@frontend-taglib-clay$clayui/icon"));

    var _layout = _interopRequireDefault(require("@frontend-taglib-clay$clayui/layout"));

    var _propTypes = require("frontend-js-react-web$prop-types");

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * The contents of this file are subject to the terms of the Liferay Enterprise
     * Subscription License ("License"). You may not use this file except in
     * compliance with the License. You can obtain a copy of the License by
     * contacting Liferay, Inc. See the License for the specific language governing
     * permissions and limitations under the License, including but not limited to
     * distribution rights of the Software.
     */

    /**
     * The search bar at the top of the modal. Provides an input for searching
     * through all results.
     */
    var AddResultSearchBar = function AddResultSearchBar(_ref) {
      var onSearchKeyDown = _ref.onSearchKeyDown,
          onSearchQueryChange = _ref.onSearchQueryChange,
          onSearchSubmit = _ref.onSearchSubmit,
          searchQuery = _ref.searchQuery;
      return (/*#__PURE__*/_react.default.createElement(_layout.default.ContainerFluid, {
          className: "add-result-container"
        }, /*#__PURE__*/_react.default.createElement("div", {
          className: "management-bar navbar-expand-md"
        }, /*#__PURE__*/_react.default.createElement("div", {
          className: "navbar-form navbar-form-autofit"
        }, /*#__PURE__*/_react.default.createElement("div", {
          className: "input-group"
        }, /*#__PURE__*/_react.default.createElement("div", {
          className: "input-group-item"
        }, /*#__PURE__*/_react.default.createElement("input", {
          "aria-label": Liferay.Language.get('search-the-engine'),
          autoFocus: true,
          className: "form-control input-group-inset input-group-inset-after",
          onChange: onSearchQueryChange,
          onKeyDown: onSearchKeyDown,
          placeholder: Liferay.Language.get('search-the-engine'),
          type: "text",
          value: searchQuery
        }), /*#__PURE__*/_react.default.createElement("div", {
          className: "input-group-inset-item input-group-inset-item-after"
        }, /*#__PURE__*/_react.default.createElement(_button.default, {
          displayType: "unstyled",
          onClick: onSearchSubmit
        }, /*#__PURE__*/_react.default.createElement(_icon.default, {
          symbol: "search"
        }))))))))
      );
    };

    AddResultSearchBar.defaultProps = {
      searchQuery: ''
    };
    var _default = AddResultSearchBar;
    exports.default = _default;
    //# sourceMappingURL=AddResultSearchBar.es.js.map
  }
});
//# sourceMappingURL=AddResultSearchBar.es.js.map