Liferay.Loader.define("portal-search-ranking-web@2.0.50/js/components/alias/Alias.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/form', '@frontend-taglib-clay$clayui/icon', '@frontend-taglib-clay$clayui/multi-select', 'frontend-js-react-web$classnames', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react', '../../utils/constants.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _form = _interopRequireWildcard(require("@frontend-taglib-clay$clayui/form"));

    var _icon = _interopRequireDefault(require("@frontend-taglib-clay$clayui/icon"));

    var _multiSelect = _interopRequireDefault(require("@frontend-taglib-clay$clayui/multi-select"));

    var _classnames = _interopRequireDefault(require("frontend-js-react-web$classnames"));

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _constants = require("../../utils/constants.es");

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    function _classCallCheck(instance, Constructor) {
      if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
      }
    }

    function _defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];descriptor.enumerable = descriptor.enumerable || false;descriptor.configurable = true;if ("value" in descriptor) descriptor.writable = true;Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    function _createClass(Constructor, protoProps, staticProps) {
      if (protoProps) _defineProperties(Constructor.prototype, protoProps);if (staticProps) _defineProperties(Constructor, staticProps);return Constructor;
    }

    function _possibleConstructorReturn(self, call) {
      if (call && (_typeof(call) === "object" || typeof call === "function")) {
        return call;
      }return _assertThisInitialized(self);
    }

    function _getPrototypeOf(o) {
      _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
      };return _getPrototypeOf(o);
    }

    function _assertThisInitialized(self) {
      if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
      }return self;
    }

    function _inherits(subClass, superClass) {
      if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
      }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
    }

    function _setPrototypeOf(o, p) {
      _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
        o.__proto__ = p;return o;
      };return _setPrototypeOf(o, p);
    }

    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }return obj;
    }

    /**
     * Filters out empty items and duplicate items. Compares both label and value
     * properties.
     * @param {Array} list A list of label-value objects.
     */
    function filterDuplicates(list) {
      var cleanedList = filterEmptyStrings(trimListItems(list));
      return cleanedList.filter(function (item, index) {
        return cleanedList.findIndex(function (newVal) {
          return newVal.label.toLowerCase() === item.label.toLowerCase() && newVal.value.toLowerCase() === item.value.toLowerCase();
        }) === index;
      });
    }
    /**
     * Filters out empty strings from the passed in array.
     * @param {Array} list The list of strings to filter.
     * @returns {Array} The filtered list.
     */

    function filterEmptyStrings(list) {
      return list.filter(function (_ref) {
        var label = _ref.label,
            value = _ref.value;
        return label && value;
      });
    }
    /**
     * Transforms a list of strings to label-value objects to pass into
     * ClayMultiSelect.
     * @param {Array} list A list of strings.
     * @returns {Array} A list of label-value objects.
     */

    function transformListOfStringsToObjects(list) {
      return list.map(function (string) {
        return {
          label: string,
          value: string
        };
      });
    }
    /**
     * Trims whitespace in list items for ClayMultiSelect.
     * @param {Array} list A list of label-value objects.
     */

    function trimListItems(list) {
      return list.map(function (_ref2) {
        var label = _ref2.label,
            value = _ref2.value;
        return {
          label: label.trim(),
          value: value.trim()
        };
      });
    }

    var Alias = /*#__PURE__*/function (_Component) {
      _inherits(Alias, _Component);

      function Alias() {
        var _getPrototypeOf2;

        var _this;

        _classCallCheck(this, Alias);

        for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
          args[_key] = arguments[_key];
        }

        _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(Alias)).call.apply(_getPrototypeOf2, [this].concat(args)));

        _defineProperty(_assertThisInitialized(_this), "state", {
          inputValue: ''
        });

        _defineProperty(_assertThisInitialized(_this), "_handleInputChange", function (value) {
          _this.setState({
            inputValue: value
          });
        });

        _defineProperty(_assertThisInitialized(_this), "_handleItemsChange", function (values) {
          _this.props.onChange(filterDuplicates(values));
        });

        return _this;
      }

      _createClass(Alias, [{
        key: "render",
        value: function render() {
          var keywords = this.props.keywords;
          var inputValue = this.state.inputValue;
          return (/*#__PURE__*/_react.default.createElement(_form.default.Group, null, /*#__PURE__*/_react.default.createElement("label", {
              htmlFor: "aliases-input"
            }, Liferay.Language.get('aliases'), /*#__PURE__*/_react.default.createElement("span", {
              className: (0, _classnames.default)('input-label-help-icon', _constants.PORTAL_TOOLTIP_TRIGGER_CLASS),
              "data-title": Liferay.Language.get('add-an-alias-help')
            }, /*#__PURE__*/_react.default.createElement(_icon.default, {
              symbol: "question-circle-full"
            }))), /*#__PURE__*/_react.default.createElement(_form.ClayInput.Group, null, /*#__PURE__*/_react.default.createElement(_form.ClayInput.GroupItem, null, /*#__PURE__*/_react.default.createElement(_multiSelect.default, {
              id: "aliases-input",
              inputValue: inputValue,
              items: transformListOfStringsToObjects(keywords),
              onChange: this._handleInputChange,
              onItemsChange: this._handleItemsChange
            }), /*#__PURE__*/_react.default.createElement(_form.default.FeedbackGroup, null, /*#__PURE__*/_react.default.createElement(_form.default.Text, null, Liferay.Language.get('add-an-alias-instruction'))))))
          );
        }
      }]);

      return Alias;
    }(_react.Component);

    var _default = Alias;
    exports.default = _default;
    //# sourceMappingURL=Alias.es.js.map
  }
});
//# sourceMappingURL=Alias.es.js.map