Liferay.Loader.define('portal-search-ranking-web@2.0.50/js/utils/constants.es', ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.PORTAL_TOOLTIP_TRIGGER_CLASS = exports.FETCH_OPTIONS = exports.KEY_CODES = exports.DEFAULT_DELTA = exports.DELTAS = void 0;

    function ownKeys(object, enumerableOnly) {
      var keys = Object.keys(object);if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);if (enumerableOnly) symbols = symbols.filter(function (sym) {
          return Object.getOwnPropertyDescriptor(object, sym).enumerable;
        });keys.push.apply(keys, symbols);
      }return keys;
    }

    function _objectSpread(target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i] != null ? arguments[i] : {};if (i % 2) {
          ownKeys(Object(source), true).forEach(function (key) {
            _defineProperty(target, key, source[key]);
          });
        } else if (Object.getOwnPropertyDescriptors) {
          Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
        } else {
          ownKeys(Object(source)).forEach(function (key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
          });
        }
      }return target;
    }

    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }return obj;
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * The contents of this file are subject to the terms of the Liferay Enterprise
     * Subscription License ("License"). You may not use this file except in
     * compliance with the License. You can obtain a copy of the License by
     * contacting Liferay, Inc. See the License for the specific language governing
     * permissions and limitations under the License, including but not limited to
     * distribution rights of the Software.
     */

    /**
     * List of deltas in a shape compatible with ClayPaginationWithBar.
     */
    var DELTAS = [{
      label: 5
    }, {
      label: 10
    }, {
      label: 20
    }, {
      label: 40
    }, {
      label: 50
    }];
    /**
     * Delta that will be initially selected.
     */

    exports.DELTAS = DELTAS;
    var DEFAULT_DELTA = DELTAS[2]; // 20

    /**
     * Key codes used for hotkeys and focus management.
     */

    exports.DEFAULT_DELTA = DEFAULT_DELTA;
    var KEY_CODES = {
      ARROW_DOWN: 'ArrowDown',
      ARROW_UP: 'ArrowUp',
      ENTER: 'Enter',
      H: 'h',
      P: 'p',
      S: 's',
      SPACE: ' ',
      TAB: 'Tab'
    };
    /**
     * Fetch options to pass to ClayDataProvider.
     * Match fetch options from frontend-js-web's fetch.es.js.
     * @see https://github.com/liferay/liferay-portal/blob/master/modules/apps/frontend-js/frontend-js-web/src/main/resources/META-INF/resources/liferay/util/fetch.es.js
     */

    exports.KEY_CODES = KEY_CODES;

    var FETCH_OPTIONS = _objectSpread({
      credentials: 'include'
    }, typeof Liferay !== 'undefined' && {
      headers: new Headers({
        'x-csrf-token': Liferay.authToken
      })
    });
    /**
     * Element class that portal uses to target tooltips.
     * @see https://github.com/liferay/liferay-portal/blob/b7681ff418ef34e735c4e31aff6fd06bbfceae67/portal-web/docroot/html/common/themes/bottom_js.jspf#L123
     */

    exports.FETCH_OPTIONS = FETCH_OPTIONS;
    var PORTAL_TOOLTIP_TRIGGER_CLASS = 'lfr-portal-tooltip';
    exports.PORTAL_TOOLTIP_TRIGGER_CLASS = PORTAL_TOOLTIP_TRIGGER_CLASS;
    //# sourceMappingURL=constants.es.js.map
  }
});
//# sourceMappingURL=constants.es.js.map