Liferay.Loader.define("portal-search-synonyms-web@2.0.42/js/components/SynonymSetsForm.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/form', '@frontend-taglib-clay$clayui/layout', '@frontend-taglib-clay$clayui/multi-select', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _button = _interopRequireDefault(require("@frontend-taglib-clay$clayui/button"));

    var _form = _interopRequireWildcard(require("@frontend-taglib-clay$clayui/form"));

    var _layout = _interopRequireDefault(require("@frontend-taglib-clay$clayui/layout"));

    var _multiSelect = _interopRequireDefault(require("@frontend-taglib-clay$clayui/multi-select"));

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    function _classCallCheck(instance, Constructor) {
      if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
      }
    }

    function _defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];descriptor.enumerable = descriptor.enumerable || false;descriptor.configurable = true;if ("value" in descriptor) descriptor.writable = true;Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    function _createClass(Constructor, protoProps, staticProps) {
      if (protoProps) _defineProperties(Constructor.prototype, protoProps);if (staticProps) _defineProperties(Constructor, staticProps);return Constructor;
    }

    function _possibleConstructorReturn(self, call) {
      if (call && (_typeof(call) === "object" || typeof call === "function")) {
        return call;
      }return _assertThisInitialized(self);
    }

    function _getPrototypeOf(o) {
      _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
      };return _getPrototypeOf(o);
    }

    function _assertThisInitialized(self) {
      if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
      }return self;
    }

    function _inherits(subClass, superClass) {
      if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
      }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
    }

    function _setPrototypeOf(o, p) {
      _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
        o.__proto__ = p;return o;
      };return _setPrototypeOf(o, p);
    }

    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }return obj;
    }

    /**
     * Filters out empty items and duplicate items. Compares both label and value
     * properties.
     * @param {Array} list A list of label-value objects.
     */
    function filterDuplicates(list) {
      var cleanedList = filterEmptyStrings(trimListItems(list));
      return cleanedList.filter(function (item, index) {
        return cleanedList.findIndex(function (newVal) {
          return newVal.label.toLowerCase() === item.label.toLowerCase() && newVal.value.toLowerCase() === item.value.toLowerCase();
        }) === index;
      });
    }
    /**
     * Filters out empty strings from the passed in array.
     * @param {Array} list The list of strings to filter.
     * @returns {Array} The filtered list.
     */

    function filterEmptyStrings(list) {
      return list.filter(function (_ref) {
        var label = _ref.label,
            value = _ref.value;
        return label && value;
      });
    }
    /**
     * Trims whitespace in list items for ClayMultiSelect.
     * @param {Array} list A list of label-value objects.
     */

    function trimListItems(list) {
      return list.map(function (_ref2) {
        var label = _ref2.label,
            value = _ref2.value;
        return {
          label: label.trim(),
          value: value.trim()
        };
      });
    }

    var SynonymSetsForm = /*#__PURE__*/function (_Component) {
      _inherits(SynonymSetsForm, _Component);

      function SynonymSetsForm(props) {
        var _this;

        _classCallCheck(this, SynonymSetsForm);

        _this = _possibleConstructorReturn(this, _getPrototypeOf(SynonymSetsForm).call(this, props));

        _defineProperty(_assertThisInitialized(_this), "state", {
          inputValue: '',
          synonyms: []
        });

        _defineProperty(_assertThisInitialized(_this), "_handleCancel", function () {
          window.history.back();
        });

        _defineProperty(_assertThisInitialized(_this), "_handleInputChange", function (value) {
          _this.setState({
            inputValue: value
          });
        });

        _defineProperty(_assertThisInitialized(_this), "_handleSubmit", function (event) {
          event.preventDefault();
          var form = document.forms[_this.props.formName];

          var synonymSetsString = _this.state.synonyms.map(function (synonym) {
            return synonym.value;
          });

          form.elements[_this.props.inputName].value = synonymSetsString;
          submitForm(form);
        });

        _defineProperty(_assertThisInitialized(_this), "_handleItemsChange", function (values) {
          _this.setState({
            synonyms: filterDuplicates(values)
          });
        });

        if (props.synonymSets.length > 0) {
          props.synonymSets.split(',').forEach(function (synonym) {
            _this.state.synonyms.push({
              label: synonym,
              value: synonym
            });
          });
        }

        return _this;
      }

      _createClass(SynonymSetsForm, [{
        key: "render",
        value: function render() {
          var _this$state = this.state,
              inputValue = _this$state.inputValue,
              synonyms = _this$state.synonyms;
          return (/*#__PURE__*/_react.default.createElement("div", {
              className: "synonym-sets-form"
            }, /*#__PURE__*/_react.default.createElement("div", {
              className: "sheet-title"
            }, Liferay.Language.get('create-synonym-set')), /*#__PURE__*/_react.default.createElement("div", {
              className: "sheet-text"
            }, Liferay.Language.get('broaden-the-scope-of-search-by-treating-terms-equally-using-synonyms')), /*#__PURE__*/_react.default.createElement(_form.default.Group, null, /*#__PURE__*/_react.default.createElement("label", {
              htmlFor: "synonym-sets-input"
            }, Liferay.Language.get('synonyms')), /*#__PURE__*/_react.default.createElement(_form.ClayInput.Group, null, /*#__PURE__*/_react.default.createElement(_form.ClayInput.GroupItem, null, /*#__PURE__*/_react.default.createElement(_multiSelect.default, {
              id: "synonym-sets-input",
              inputValue: inputValue,
              items: synonyms,
              onChange: this._handleInputChange,
              onItemsChange: this._handleItemsChange
            }), /*#__PURE__*/_react.default.createElement(_form.default.FeedbackGroup, null, /*#__PURE__*/_react.default.createElement(_form.default.Text, null, Liferay.Language.get('type-a-comma-or-press-enter-to-input-a-synonym')))))), /*#__PURE__*/_react.default.createElement(_layout.default.SheetFooter, null, /*#__PURE__*/_react.default.createElement(_button.default, {
              disabled: synonyms.length === 0,
              displayType: "primary",
              onClick: this._handleSubmit,
              type: "submit"
            }, Liferay.Language.get('publish')), /*#__PURE__*/_react.default.createElement(_button.default, {
              displayType: "secondary",
              onClick: this._handleCancel
            }, Liferay.Language.get('cancel'))))
          );
        }
      }]);

      return SynonymSetsForm;
    }(_react.Component);

    _defineProperty(SynonymSetsForm, "defaultProps", {
      synonymSets: ''
    });

    var _default = SynonymSetsForm;
    exports.default = _default;
    //# sourceMappingURL=SynonymSetsForm.es.js.map
  }
});
//# sourceMappingURL=SynonymSetsForm.es.js.map