Liferay.Loader.define("layout-content-page-editor-web@2.0.123/page_editor/app/components/layout-data-items/getAllPortals", ['module', 'exports', 'require', 'frontend-js-react-web$react', '../Layout'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = getAllPortals;

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    var _Layout = _interopRequireDefault(require("../Layout"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */

    /**
     * @param {HTMLElement} fragmentElement
     * @return {Array<{editableId: string, editableValueNamespace: string, element: HTMLElement, processor: object }>}
     */
    function getAllPortals(element) {
      return Array.from(element.querySelectorAll('lfr-drop-zone')).map(function (dropZoneElement) {
        var mainItemId = dropZoneElement.getAttribute('uuid') || '';

        var Component = function Component() {
          return mainItemId ? /*#__PURE__*/_react.default.createElement(_Layout.default, {
            mainItemId: mainItemId
          }) : null;
        };

        Component.displayName = "DropZone(".concat(mainItemId, ")");
        return {
          Component: Component,
          element: dropZoneElement,
          mainItemId: mainItemId
        };
      });
    }
    //# sourceMappingURL=getAllPortals.js.map
  }
});
//# sourceMappingURL=getAllPortals.js.map