Liferay.Loader.define("layout-content-page-editor-web@2.0.123/page_editor/app/components/undo/Undo", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react', '../../store/index', './UndoHistory'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = Undo;

    var _button = _interopRequireWildcard(require("@frontend-taglib-clay$clayui/button"));

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    var _index = require("../../store/index");

    var _UndoHistory = _interopRequireDefault(require("./UndoHistory"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    function Undo(_ref) {
      var _ref$onRedo = _ref.onRedo,
          onRedo = _ref$onRedo === void 0 ? function () {} : _ref$onRedo,
          _ref$onUndo = _ref.onUndo,
          onUndo = _ref$onUndo === void 0 ? function () {} : _ref$onUndo;
      var undoHistory = (0, _index.useSelector)(function (state) {
        return state.undoHistory;
      });
      var redoHistory = (0, _index.useSelector)(function (state) {
        return state.redoHistory;
      });
      return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_button.default.Group, {
          className: "d-block d-none mr-2"
        }, /*#__PURE__*/_react.default.createElement(_button.ClayButtonWithIcon, {
          "aria-label": Liferay.Language.get('undo'),
          className: "btn-monospaced",
          disabled: !undoHistory || !undoHistory.length,
          displayType: "secondary",
          onClick: onUndo,
          small: true,
          symbol: "undo",
          title: Liferay.Language.get('undo')
        }), /*#__PURE__*/_react.default.createElement(_button.ClayButtonWithIcon, {
          "aria-label": Liferay.Language.get('redo'),
          className: "btn-monospaced",
          disabled: !redoHistory || !redoHistory.length,
          displayType: "secondary",
          onClick: onRedo,
          small: true,
          symbol: "redo",
          title: Liferay.Language.get('redo')
        })), /*#__PURE__*/_react.default.createElement(_UndoHistory.default, null))
      );
    }
    //# sourceMappingURL=Undo.js.map
  }
});
//# sourceMappingURL=Undo.js.map