Liferay.Loader.define("layout-content-page-editor-web@2.0.123/page_editor/app/reducers/mappedInfoItemsReducer", ['module', 'exports', 'require', '../actions/types'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = mappedInfoItemsReducer;
    exports.INITIAL_STATE = void 0;

    var _types = require("../actions/types");

    function _toConsumableArray(arr) {
      return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _nonIterableSpread();
    }

    function _nonIterableSpread() {
      throw new TypeError("Invalid attempt to spread non-iterable instance");
    }

    function _iterableToArray(iter) {
      if (Symbol.iterator in Object(iter) || Object.prototype.toString.call(iter) === "[object Arguments]") return Array.from(iter);
    }

    function _arrayWithoutHoles(arr) {
      if (Array.isArray(arr)) {
        for (var i = 0, arr2 = new Array(arr.length); i < arr.length; i++) {
          arr2[i] = arr[i];
        }return arr2;
      }
    }

    var INITIAL_STATE = [];
    exports.INITIAL_STATE = INITIAL_STATE;

    function mappedInfoItemsReducer() {
      var mappedInfoItems = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : INITIAL_STATE;
      var action = arguments.length > 1 ? arguments[1] : undefined;

      switch (action.type) {
        case _types.ADD_MAPPED_INFO_ITEM:
          return [].concat(_toConsumableArray(mappedInfoItems), [{
            className: action.className,
            classNameId: action.classNameId,
            classPK: action.classPK,
            title: action.title
          }]);

        default:
          return mappedInfoItems;
      }
    }
    //# sourceMappingURL=mappedInfoItemsReducer.js.map
  }
});
//# sourceMappingURL=mappedInfoItemsReducer.js.map