Liferay.Loader.define("layout-content-page-editor-web@2.0.123/page_editor/app/thunks/addFragmentComposition", ['module', 'exports', 'require', '../actions/addFragmentComposition', '../services/FragmentService'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = addFragment;

    var _addFragmentComposition = _interopRequireDefault(require("../actions/addFragmentComposition"));

    var _FragmentService = _interopRequireDefault(require("../services/FragmentService"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */
    function addFragment(_ref) {
      var description = _ref.description,
          fragmentCollectionId = _ref.fragmentCollectionId,
          itemId = _ref.itemId,
          name = _ref.name,
          previewImageURL = _ref.previewImageURL,
          saveInlineContent = _ref.saveInlineContent,
          saveMappingConfiguration = _ref.saveMappingConfiguration,
          segmentsExperienceId = _ref.segmentsExperienceId;
      return function (dispatch) {
        return _FragmentService.default.addFragmentComposition({
          description: description,
          fragmentCollectionId: fragmentCollectionId,
          itemId: itemId,
          name: name,
          onNetworkStatus: dispatch,
          previewImageURL: previewImageURL,
          saveInlineContent: saveInlineContent,
          saveMappingConfiguration: saveMappingConfiguration,
          segmentsExperienceId: segmentsExperienceId
        }).then(function (fragmentComposition) {
          dispatch((0, _addFragmentComposition.default)({
            fragmentCollectionId: fragmentCollectionId,
            fragmentComposition: fragmentComposition
          }));
        });
      };
    }
    //# sourceMappingURL=addFragmentComposition.js.map
  }
});
//# sourceMappingURL=addFragmentComposition.js.map